Oculus rift DK2 issues


#1

Trying to install DK2, and it isnt working.
We dont get the Oculus option in the display settings.
Also the log throws this warning:

[WARNING] “Oculus Runtime detected, but no 1.x DLL present: “C:\Program Files (x86)\Oculus\Support\oculus-runtime\LibOVRRT64_1.dll””

Any suggestions please?


#2

You need to install the Oculus “official release” runtime (version 1.3)… this installer will tell you that it doesn’t support the DK2 and it will fail to detect the headset on install… but it still works.

When we upgraded to support the CV1 we were forced to upgrade to the 1.3 SDK, which requires the 1.3 runtime.

So the headline is… it will work with 1.3… even though Oculus no longer officially says it work.


#3

We have installed the SDK 1.3 , however the oculus option doesnt appear in the menu so there is no way of turning it on.


#4

ok - that’s not expected. I’ll circle back with @Jherico on this…


#5

I’m investigating this. We added an explicit check for the DLL because there was the possibility of a crash caused by someone trying to run the software with an older runtime, however, the latest version of the Oculus software lets you change the installation directory, rendering the check potentially invalid.

I’ve made a new version of the check here: https://github.com/highfidelity/hifi/pull/7715

@Adrian can you test that PR build when you have a chance?


#6

@Jherico YES, that PR has fixed the issue for us, all good.


#7

Great news. That fix will also be in the next stable build, which will be available later today.